#include "deckshand.h"
#include <avr/io.h>
#include "adc.h"
#include "segel.h"

segel Fock;
segel Gross;
segel Besan;

deckshand::deckshand()          //Konstruktorlauf
{
    Fock.segelnummer = 1;
    Gross.segelnummer = 2;
    Besan.segelnummer = 3;
    //
    Fock.segelstellung = 3;
    Gross.segelstellung = 3;
}

void deckshand::trimm_ausfuehren()
{
    ruderwinkelsollwert = 50 + ruderwinkel;
    fockschotsollwert = 50 + fockwinkel;
    gaffelschotsollwert = 50 + gaffelwinkel;
}

void deckshand::segelbedienen()
{
            if (Fock.segelstellung == 3)
            {
                Fock.referenz();
            }

            if (Fock.segelstellung == 0 and segel==1)
            {
                Fock.setzen();
            }

            if (Fock.segelstellung == 1 and segel==0)
            {
                Fock.bergen();
            }

            if (Gross.segelstellung == 3)
            {
                Gross.referenz();
            }

            if (Gross.segelstellung == 0 and segel==1)
            {
                Gross.setzen();
            }

            if (Gross.segelstellung == 1 and segel==0)
            {
                Gross.bergen();
            }
}



